package com.dayou.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dayou.dao.QuestionAnalysisMapper;
import com.dayou.entity.QuestionAnalysis;
import com.dayou.service.IQuestionAnalysisService;
import com.dayou.vo.AnalysisResultVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/19
 * created with IntelliJ IDEA.
 */
@Service
public class QuestionAnalysisServiceImpl extends ServiceImpl<QuestionAnalysisMapper, QuestionAnalysis> implements IQuestionAnalysisService {

    @Autowired
    private QuestionAnalysisMapper questionAnalysisMapper;

    @Override
    public List<AnalysisResultVO> getAnalysisList() {
        return questionAnalysisMapper.getAnalysisList();
    }

    @Override
    public List<AnalysisResultVO> getAnalysisListByCycleId(Long id) {
        return questionAnalysisMapper.getAnalysisListByCycleId(id);
    }
}
